org.apache.sling.maven.kickstart.run

## Class ServerConfiguration

- java.lang.Object
- - org.apache.sling.maven.kickstart.run.ServerConfiguration

All Implemented Interfaces:
  Serializable

    public class ServerConfiguration
    extends Object
    implements Serializable

A server configuration

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ServerConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServerConfiguration` `copy()`
`File` `getAdditionalFeatureFile()`
`String` `getContextPath()`
`String` `getControlPort()`
`File` `getFolder()`
`String` `getId()` Get the instance id
`int` `getInstances()`
`String` `getOpts()`
`String` `getPort()`
`String` `getRunmode()`
`String` `getServer()` Get the server
`String` `getStdOutFile()`
`String` `getVmDebugOpts(String globalDebug)` Returns the debugging options derived from the passed globalDebug parameter and the debug field (where the globalDebug parameter has precedence over the local field)
`String` `getVmOpts()`
`void` `setAdditionalFeatureFile(File additionalFeatureFile)`
`void` `setContextPath(String contextPath)`
`void` `setControlPort(String controlPort)`
`void` `setDebug(String debug)`
`void` `setFolder(File folder)`
`void` `setId(String id)` Set the instance id
`void` `setInstances(int value)`
`void` `setOpts(String opts)`
`void` `setPort(String port)`
`void` `setRunmode(String runmode)`
`void` `setStdOutFile(String stdOutFile)`
`void` `setVmOpts(String vmOpts)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServerConfiguration

    public ServerConfiguration()

### Method Detail

#### getId

    public String getId()

Get the instance id

Returns:
  The instance id

#### setId

    public void setId(String id)

Set the instance id

Parameters:
  `id` - New instance id

#### getRunmode

    public String getRunmode()

#### setRunmode

    public void setRunmode(String runmode)

#### getPort

    public String getPort()

#### setPort

    public void setPort(String port)

#### getContextPath

    public String getContextPath()

#### setContextPath

    public void setContextPath(String contextPath)

#### getVmOpts

    public String getVmOpts()

#### setVmOpts

    public void setVmOpts(String vmOpts)

#### getVmDebugOpts

    public String getVmDebugOpts(String globalDebug)

Returns the debugging options derived from the passed globalDebug parameter and the debug field (where the globalDebug parameter has precedence over the local field)

Parameters:
  `globalDebug` - the global debug options (may be `null`).
Returns:
  the debugging options to use or `null`. Should be appended to the ones being returned by `getVmOpts()`.
See Also:
  JPDA Sun VM Invocation Options

#### setDebug

    public void setDebug(String debug)

#### getOpts

    public String getOpts()

#### setOpts

    public void setOpts(String opts)

#### getInstances

    public int getInstances()

#### setInstances

    public void setInstances(int value)

#### getFolder

    public File getFolder()

#### setFolder

    public void setFolder(File folder)

#### getControlPort

    public String getControlPort()

#### setControlPort

    public void setControlPort(String controlPort)

#### getStdOutFile

    public String getStdOutFile()

#### setStdOutFile

    public void setStdOutFile(String stdOutFile)

#### getAdditionalFeatureFile

    public File getAdditionalFeatureFile()

#### setAdditionalFeatureFile

    public void setAdditionalFeatureFile(File additionalFeatureFile)

#### getServer

    public String getServer()

Get the server

Returns:
  The server

#### copy

    public ServerConfiguration copy()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`